using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.DM
{
    /// <summary>
    /// 设备检查附件表
    /// </summary>
    [Description("设备检查附件表")]
    public class T_DM_DEVICE_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 设备检查
        /// </summary>
        [Description("设备检查")]
        [DataFieldForeignKey("Nav_Check", "Nav_Files")]
        public Guid CHECK_ID { get; set; }
        /// <summary>
        /// 设备检查
        /// </summary>
        [Description("设备检查")]
        public T_DM_DEVICE_CHECK Nav_Check { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
